CVE-2004-1007
CVSS5.0
发布时间 :2005-03-01 00:00:00
修订时间 :2008-09-10 15:28:34
NMCOS    

[原文]The quoted-printable decoder in bogofilter 0.17.4 to 0.92.7 allows remote attackers to cause a denial of service (application crash) via mail headers that cause a line feed (LF) to be replaced by a null byte that is written to an incorrect memory address.


[CNNVD]Bogofilter 拒绝服务漏洞(CNNVD-200503-027)

        远程攻击者可以借助bogofilter 0.17.4~0.92.7中的引用打印解码器,通过引起写入错误存储地址的空字节替换换行(LF)的邮件头,实施拒绝服务攻击(应用程序崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:bogofilter:email_filter:0.92
cpe:/o:bogofilter:email_filter:0.92.7
cpe:/o:ubuntu:ubuntu_linux:4.1::ia64
cpe:/o:bogofilter:email_filter:0.92.4
cpe:/o:bogofilter:email_filter:0.9.0.3
cpe:/o:bogofilter:email_filter:0.9.0.4
cpe:/o:bogofilter:email_filter:0.9.0.5
cpe:/o:ubuntu:ubuntu_linux:4.1::ppc
cpe:/o:bogofilter:email_filter:0.92.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1007
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1007
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200503-027
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17916
(VENDOR_ADVISORY)  XF  bogofilter-dos(17916)
http://bogofilter.sourceforge.net/security/bogofilter-SA-2004-01
(UNKNOWN)  CONFIRM  http://bogofilter.sourceforge.net/security/bogofilter-SA-2004-01

- 漏洞信息

Bogofilter 拒绝服务漏洞
中危 其他
2005-03-01 00:00:00 2005-10-20 00:00:00
远程  
        远程攻击者可以借助bogofilter 0.17.4~0.92.7中的引用打印解码器,通过引起写入错误存储地址的空字节替换换行(LF)的邮件头,实施拒绝服务攻击(应用程序崩溃)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Bogofilter Email Filter 0.9 .0.4
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Bogofilter Email Filter 0.9 .0.5
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Bogofilter Email Filter 0.92
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Ubuntu bogofilter_0.92.0-1ubuntu0.1_amd64.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter_0.92.0-1ubuntu0.1_amd64.deb
        Ubuntu bogofilter_0.92.0-1ubuntu0.1_i386.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter_0.92.0-1ubuntu0.1_i386.deb
        Ubuntu bogofilter_0.92.0-1ubuntu0.1_powerpc.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/b/bogofilter/bogofilter_0.92.0-1ubuntu0.1_powerpc.deb
        Bogofilter Email Filter 0.92.4
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Bogofilter Email Filter 0.92.6
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265
        Bogofilter Email Filter 0.92.7
        Bogofilter bogofilter-0.92.8
        http://sourceforge.net/project/showfiles.php?group_id=62265

- 漏洞信息

11296
bogofilter quoted-printable Decoder LF DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

Bogofilter contains a flaw that may allow a remote denial of service. The issue is triggered due to an input validation error related to the use of LF in encoded words being processed by the quoted-printable decoder, and will result in loss of availability for the service.

- 时间线

2004-10-30 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.92.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Bogofilter EMail Filter Remote Quoted Printable Decoder Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 11568
Yes No
2004-11-01 12:00:00 2009-07-12 08:06:00
Antti-Juhani Kaijanaho is credited with the discovery of this issue.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Bogofilter Email Filter 0.92.7
Bogofilter Email Filter 0.92.6
Bogofilter Email Filter 0.92.4
Bogofilter Email Filter 0.92
Bogofilter Email Filter 0.9 .0.5
Bogofilter Email Filter 0.9 .0.4
Bogofilter Email Filter 0.9 .0.3
Bogofilter Email Filter 0.92.8

- 不受影响的程序版本

Bogofilter Email Filter 0.92.8

- 漏洞讨论

A remote quoted printable decoder denial of service vulnerability reportedly affects Bogofilter. This issue is due to a failure of the application to handle malformed email headers.

An attacker can leverage this issue to cause the affected email filter to crash, denying service to all legitimate users.

- 漏洞利用

No exploit is required to leverage this issue.

- 解决方案

The vendor has released an upgrade dealing with this issue.

Ubuntu Linux has released advisory USN-26-1 along with fixes to address this issue. Please see the referenced advisory for further information.


Bogofilter Email Filter 0.9 .0.3

Bogofilter Email Filter 0.9 .0.4

Bogofilter Email Filter 0.9 .0.5

Bogofilter Email Filter 0.92

Bogofilter Email Filter 0.92.4

Bogofilter Email Filter 0.92.6

Bogofilter Email Filter 0.92.7

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站